> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger IDR run

> Trigger a new IDR run for a graph



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json post /idr/{graphId}/trigger
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /idr/{graphId}/trigger:
    post:
      summary: Trigger IDR run
      description: Trigger a new IDR run for a graph
      operationId: TriggerIdrRun
      parameters:
        - in: path
          name: graphId
          required: true
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerRunIdrInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerRunIdrOutput'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    TriggerRunIdrInput:
      properties:
        fullRerun:
          type: boolean
          description: >-
            Whether to resync the entire Identity Graph or process
            incrementally.
          default: 'false'
      type: object
      description: The input of a trigger action to run IDR.
    TriggerRunIdrOutput:
      properties:
        id:
          type: string
          description: The id of the triggered run.
      required:
        - id
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````